local _, core = ...;
core.DBMobs = {};
core.DBSpells = {};
core.Loadmobs = {};

local function loadMobs()
core.DBPlayer = {
	weaponId = DBProfile.Equip[1],
	displayId = DBProfile.Equip[2],
	position = {-2.5, 2.15, -1},
	rotation = 3,
	animBase = 26,
	sound = {
			hit = 2942,
			death = 2944,
	},
	spells = {4, 6, 9, 10, 11, 32, 43, 33},
}

core.DBMobs = {
	[1] = { id = 1,
		name = core.L["Guerrier mogu"],
		typeUnit = "human",
		boss = false,
		displayId = 45716,
		weaponId = {84089},
		scene = {
			{
				position = {-5, 0, 1.7}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-4.5, 1.8, 1.65}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.6, 1.6}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.5, 5.3, 1.55}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-3, 7, 1.5}, --(z, x, y)
				rotation = (-0.9),
			},
		},
		animBase = 26,
		pdv = 10,
		damage = 5,
		sound = {
			hit = 26948,
			death = 26947,
		},
		spells = {1, 5},
	},
	[2] = { id = 2,
		name = core.L["Lame géante mogu"],
		typeUnit = "human",
		boss = false,
		displayId = 45708,
		weaponId = {95877},
		scene = {
			{
				position = {-5, 0, 1.7}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-4.5, 1.8, 1.65}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.6, 1.6}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.5, 5.3, 1.55}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-3, 7, 1.5}, --(z, x, y)
				rotation = (-0.9),
			},
		},
		animBase = 28,
		pdv = 15,
		damage = 5,
		sound = {
			hit = 26948,
			death = 26947,
		},
		spells = {2, 3},
	},
	[3] = { id = 3,
		name = core.L["Lanceur de foudre mogu"],
		typeUnit = "human",
		boss = false,
		displayId = 43506,
		weaponId = {},
		scene = {
			{
				position = {-5, 0, 1.7}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-4.5, 1.8, 1.65}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.6, 1.6}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.5, 5.3, 1.55}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-3, 7, 1.5}, --(z, x, y)
				rotation = (-0.9),
			},
		},
		animBase = 26,
		pdv = 10,
		damage = 5,
		sound = {
			hit = 26948,
			death = 26947,
		},
		spells = {7, 8},
	},
	[4] = { id = 4,
		name = core.L["Xin le maître d'armes"],
		typeUnit = "human",
		boss = true,
		displayId = 41987,
		weaponId = {98266},
		scene = {
			{
				position = {-5, 0, 1.7}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-4.5, 1.8, 1.65}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.6, 1.6}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.5, 5.3, 1.55}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-3, 7, 1.5}, --(z, x, y)
				rotation = (-0.9),
			},
		},
		animBase = 0,
		pdv = 30,
		damage = 7,
		sound = {
			hit = 26948,
			death = 26947,
		},
		spells = {12, 13, 14},
	},
	[5] = { id = 5,
		name = core.L["Soldat de Fer"],
		typeUnit = "human",
		boss = false,
		displayId = 53852,
		weaponId = {116627, 116627},
		scene = {
			{
				position = {-6.5, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-6, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5.5, 3.45, 1.35}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-5, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.75, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 17,
		damage = 6,
		sound = {
			hit = 39972,
			death = 39975,
		},
		spells = {15, 67, 16},
	},
	[6] = { id = 6,
		name = core.L["Soldat de Fer"], -- sans le sort Renforts
		typeUnit = "human",
		boss = false,
		displayId = 53852,
		weaponId = {116627, 116627},
		scene = {
			{
				position = {-6.5, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-6, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5.5, 3.45, 1.35}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-5, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.75, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 17,
		damage = 6,
		sound = {
			hit = 39972,
			death = 39975,
		},
		spells = {15, 67},
	},
	[7] = { id = 7,
		name = core.L["Fine gâchette de Fer"],
		typeUnit = "human",
		boss = false,
		displayId = 53874,
		weaponId = {116617},
		scene = {
			{
				position = {-4.4, -0.30, 1.25}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-4.3, 1.35, 1.25}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 2.75, 1.20}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.55, 4.55, 1.18}, --(z, x, y)
				rotation = (-0.5),
			},
			{
				position = {-3.25, 5.85, 1.13}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 48,
		pdv = 20,
		damage = 6,
		sound = {
			hit = 40736,
			death = 40738,
		},
		spells = {17, 18, 19},
	},
	[8] = { id = 8,
		name = core.L["Brute de l’atelier des scories"],
		typeUnit = "human",
		boss = false,
		displayId = 58663,
		weaponId = {},
		scene = {
			{
				position = {-4.5, -0.25, 2.6}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-4, 2, 2.5}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-3.5, 4.15, 2.4}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3, 6.25, 2.4}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-2.75, 8.8, 2.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 28,
		pdv = 25,
		damage = 6,
		sound = {
			hit = 39972,
			death = 39975,
		},
		spells = {20, 21},
	},
	[9] = { id = 9,
		name = core.L["Maître de guerre grom'kar"],
		typeUnit = "human",
		boss = false,
		displayId = 57476,
		weaponId = {115028, 115028},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5.15, 3.45, 1.35}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 30,
		damage = 6,
		sound = {
			hit = 39972,
			death = 39975,
		},
		spells = {22, 23, 24},
	},
	[10] = { id = 10,
		name = core.L["Ingénieur de la fournaise"],
		typeUnit = "human",
		boss = false,
		displayId = 53472,
		weaponId = {23221},
		fxPassif = {40503},
		scene = {
			{
				position = {-6.5, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-6, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5.5, 3.45, 1.35}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-5, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.75, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 25,
		damage = 6,
		sound = {
			hit = 39972,
			death = 39975,
		},
		spells = {25, 26, 27},
	},
	[11] = { id = 11,
		name = core.L["Sac de bombes"],
		typeUnit = "object",
		boss = false,
		displayId = 61987,
		weaponId = {},
		scene = {
			{
				position = {-12, 2.25, 1.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-12, 3.9, 1.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-12, 5.6, 1.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-12, 7.25, 1.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-12, 9, 1.25}, --(z, x, y)
				rotation = (3),
			},
		},
		animBase = 0,
		pdv = 15,
		damage = 0,
		sound = {
			hit = 0,
			death = 0,
		},
		spells = {28},
	},
	[12] = { id = 12,
		name = core.L["Soldat de Fer vétéran"],
		typeUnit = "human",
		boss = false,
		displayId = 56018,
		weaponId = {112804},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5.15, 3.45, 1.35}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 25,
		damage = 9,
		sound = {
			hit = 39972,
			death = 39975,
		},
		spells = {29, 68, 30},
	},
	[13] = { id = 13,
		name = core.L["Main-Noire"],
		typeUnit = "human",
		boss = true,
		displayId = 55793,
		weaponId = {113979},
		effectPassif = {16},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.15, 1.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 0,
		pdv = 100,
		damage = 10,
		sound = {
			hit = 45477,
			death = 16035,
		},
		spells = {31, 34, 35},
	},
	[14] = { id = 14,
		name = core.L["Bombe à scories"],
		typeUnit = "object",
		boss = false,
		displayId = 56940,
		weaponId = {},
		fxPassif = {40667},
		scene = {
			{
				position = {-30, 4.75, 0.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-30, 7.9, 0.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-30, 11, 0.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-30, 14.5, 0.25}, --(z, x, y)
				rotation = (3),
			},
			{
				position = {-30, 18, 0.25}, --(z, x, y)
				rotation = (3),
			},
		},
		animBase = 0,
		pdv = 10,
		damage = 0,
		sound = {
			hit = 0,
			death = 0,
		},
		spells = {36},
	},
	[15] = { id = 15,
		name = core.L["Main-Noire"], -- PHASE 2
		typeUnit = "human",
		boss = true,
		displayId = 55793,
		weaponId = {113979},
		effectPassif = {17},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.15, 1.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 0,
		pdv = 100,
		damage = 10,
		sound = {
			hit = 45477,
			death = 16035,
		},
		spells = {31, 34, 35, 37},
	},
	[16] = { id = 16,
		name = core.L["Assiégeur"],
		typeUnit = "human",
		boss = false,
		displayId = 53869,
		weaponId = {},
		effectPassif = {19},
		scene = {
			{
				position = {-22.15, 1.25, 13.45}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-19.15, 15, 12.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-16.15, 28, 12.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-16.15, 42, 12.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-16.15, 54, 12.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 0,
		pdv = 15,
		damage = 5,
		sound = {
			hit = 0,
			death = 0,
		},
		spells = {38, 39},
	},
	[17] = { id = 17,
		name = core.L["Main-Noire"], -- PHASE ENGIN DE SIEGE
		typeUnit = "human",
		boss = true,
		displayId = 55793,
		weaponId = {113979},
		effectPassif = {20},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.15, 1.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 0,
		pdv = 100,
		damage = 10,
		sound = {
			hit = 45477,
			death = 16035,
		},
		spells = {31, 34, 35, 37},
	},
	[18] = { id = 18,
		name = core.L["Main-Noire"], -- PHASE 3
		typeUnit = "human",
		boss = true,
		displayId = 55793,
		weaponId = {113979},
		effectPassif = {14},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.15, 1.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 0,
		pdv = 100,
		damage = 10,
		sound = {
			hit = 45477,
			death = 16035,
		},
		spells = {31, 40, 42},
	},
	[19] = { id = 19,
		name = core.L["Cratère de scories"],
		typeUnit = "object",
		boss = false,
		displayId = 38451,
		weaponId = {},
		scene = {
			{
				position = {-20, 3.25, 1.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 5.75, 1.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 7.15, 1.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 10.2, 1.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 13.2, 1.5}, --(z, x, y)
				rotation = (0),
			},
		},
		animBase = 0,
		pdv = 20,
		damage = 0,
		sound = {
			hit = 0,
			death = 0,
		},
		spells = {41, 37},
	},
	[20] = { id = 20,
		name = core.L["Coupe-gorge des Lamineurs"],
		typeUnit = "human",
		boss = false,
		displayId = 79071,
		weaponId = {851},
		scene = {
			{
				position = {-3.5, -0.3, 1.15}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-3.25, 1, 1.13}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-3, 2.35, 1.1}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-2.65, 3.75, 1.07}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-2.4, 5.05, 1.03}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 20,
		damage = 5,
		sound = {
			hit = 2938,
			death = 2940,
		},
		spells = {44, 45},
	},
	[21] = { id = 21,
		name = core.L["Mastiff des Lamineurs"],
		typeUnit = "human",
		boss = false,
		displayId = 30221,
		weaponId = {},
		scene = {
			{
				position = {-8.5, 0.8, 1.7}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-8, 3.15, 1.7}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-8, 5.5, 1.7}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-7.75, 8.25, 1.7}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-7.5, 10.7, 1.65}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 15,
		damage = 5,
		sound = {
			hit = 16420,
			death = 16421,
		},
		spells = {46, 47},
	},
	[22] = { id = 22,
		name = core.L["Brute des Mort-aux-Dents"],
		typeUnit = "human",
		boss = false,
		displayId = 80389,
		weaponId = {59268},
		scene = {
			{
				position = {-4, 0, 1.22}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-3.75, 1.3, 1.2}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-3.5, 2.75, 1.18}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.15, 4.3, 1.15}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-2.9, 5.55, 1.12}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 20,
		damage = 5,
		sound = {
			hit = 1330,
			death = 2944,
		},
		spells = {48},
	},
	[23] = { id = 23,
		name = core.L["Jongleur de couteaux des Eperonneurs"],
		typeUnit = "human",
		boss = false,
		displayId = 80335,
		weaponId = {19546, 19546},
		scene = {
			{
				position = {-5.7, 0.4, 0.9}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.75, 1.85, 0.9}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5.5, 3.25, 0.88}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-5.15, 4.75, 0.85}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.9, 6.25, 0.83}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 111,
		pdv = 20,
		damage = 4,
		sound = {
			hit = 3276,
			death = 3278,
		},
		spells = {49, 50, 51},
	},
	[24] = { id = 24,
		name = core.L["Grenadier des Lamineurs"],
		typeUnit = "human",
		boss = false,
		displayId = 79068,
		weaponId = {},
		fxPassif = {101193},
		scene = {
			{
				position = {-4, 0, 1.22}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-3.75, 1.3, 1.2}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-3.5, 2.75, 1.18}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.15, 4.3, 1.15}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-2.9, 5.55, 1.12}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 111,
		pdv = 20,
		damage = 0,
		sound = {
			hit = 1330,
			death = 2944,
		},
		spells = {52, 53},
	},
	[25] = { id = 25,
		name = core.L["Bombe explosive"],
		typeUnit = "object",
		boss = false,
		displayId = 54357,
		weaponId = {},
		scene = {
			{
				position = {-20, 3.25, 0.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 5.75, 0.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 8, 0.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 10.5, 0.5}, --(z, x, y)
				rotation = (0),
			},
			{
				position = {-20, 13.2, 0.5}, --(z, x, y)
				rotation = (0),
			},
		},
		animBase = 0,
		pdv = 10,
		damage = 0,
		sound = {
			hit = 0,
			death = 0,
		},
		spells = {28},
	},
	[26] = { id = 26,
		name = core.L["Duelliste des Eperonneurs"],
		typeUnit = "human",
		boss = false,
		displayId = 80339,
		weaponId = {7944},
		scene = {
			{
				position = {-4, 0, 1.22}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-3.75, 1.3, 1.2}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-3.5, 2.75, 1.18}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-3.15, 4.3, 1.15}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-2.9, 5.55, 1.12}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 20,
		damage = 5,
		sound = {
			hit = 1330,
			death = 2944,
		},
		spells = {54, 55, 56},
	},
	[27] = { id = 27,
		name = core.L["Officier des Lamineurs"],
		typeUnit = "human",
		boss = false,
		displayId = 81497,
		weaponId = {158105},
		scene = {
			{
				position = {-5.5, 0.5, 1.55}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.25, 2.25, 1.5}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-5, 4, 1.48}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.75, 1.45}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.4, 7.5, 1.4}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 30,
		damage = 7,
		sound = {
			hit = 105224,
			death = 105226,
		},
		spells = {57, 59, 58},
	},
	[28] = { id = 28,
		name = core.L["Cap'taine céleste Kragg"],
		typeUnit = "human",
		boss = true,
		displayId = 80382,
		weaponId = {158508},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.15, 1.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-4.65, 5.25, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 125,
		damage = 8,
		sound = {
			hit = 101406,
			death = 1322,
		},
		spells = {60, 61, 62, 63},
	},
	[29] = { id = 29,
		name = core.L["Jacasse"],
		typeUnit = "human",
		boss = true,
		displayId = 80438,
		weaponId = {},
		scene = {
			{
				position = {-6.15, -0.25, 1.5}, --(z, x, y)
				rotation = (0.1),
			},
			{
				position = {-5.65, 1.75, 1.45}, --(z, x, y)
				rotation = (-0.1),
			},
			{
				position = {-4, 3.15, 1.2}, --(z, x, y)
				rotation = (-0.3),
			},
			{
				position = {-6.65, 7.50, 1.3}, --(z, x, y)
				rotation = (-0.6),
			},
			{
				position = {-4.40, 7.2, 1.3}, --(z, x, y)
				rotation = (-0.8),
			},
		},
		animBase = 26,
		pdv = 75,
		damage = 5,
		sound = {
			hit = 93240,
			death = 93242,
		},
		spells = {64, 65, 66},
	},
}

core.DBEffects = {
	[1] = { id = 1,
		name = core.L["Poison"],
		desc = core.L["EFFECTPoisonDESC"],
		damage = 3,
		duration = 2,
		iconId = 135428,
		fxHimself = {288},
		positive = false,
		animation = 0,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 1,
	},
	[2] = { id = 2,
		name = core.L["Étourdi"],
		desc = core.L["EFFECTÉtourdiDESC"],
		damage = 0,
		duration = 1,
		iconId = 135860,
		fxHimself = {33},
		animation = 0,
		positive = false,
		NoTimeplay = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 0,
	},
	[3] = { id = 3,
		name = "Bouclier de foudre PASSIF",
		desc = "Bouclier de foudre PASSIF",
		damage = 0,
		duration = -1,
		iconId = 13580,
		fxTarget = {62},
		fxHimself = {72},
		animation = 54,
		soundTarget = {33},
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 2,
	},
	[4] = { id = 4,
		name = core.L["Bouclier de foudre"],
		desc = core.L["EFFECTBouclier de foudreDESC"],
		damage = 3,
		duration = 3,
		charge = 1,
		iconId = 136051,
		fxTarget = {41042},
		fxHimself = 0,
		animation = 0,
		soundTarget = {113423},
		positive = true,
		whenActive = {"SufferDamageHimself"},
		idFctEffect = 3,
	},
	[5] = { id = 5,
		name = "Revers PASSIF",
		desc = "Revers PASSIF",
		damage = 5,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = 0,
		animation = 86,
		timeAnim = 0.8,
		soundTarget = {69044},
		soundCharac = {26946},
		positive = true,
		whenActive = {"PASSIFSufferDamageHimself"},
		idFctEffect = 4,
	},
	[6] = { id = 6,
		name = "Renforts PASSIF",
		desc = "Renforts PASSIF",
		damage = 0,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = 0,
		animation = 0,
		timeAnim = 2,
		soundTarget = 0,
		soundCharac = {26946},
		positive = true,
		whenActive = {"DieHimself"},
		idSummonUnit = 6,
		idFctEffect = 5,
	},
	[7] = { id = 7,
		name = "Précision renforcée PASSIF",
		desc = "Précision renforcée PASSIF",
		damage = 1,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = {40388},
		animation = 0,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = {3113},
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 6,
	},
	[8] = { id = 8,
		name = "Lié par le combat PASSIF",
		desc = "Lié par le combat PASSIF",
		damage = 2,
		heal = 3,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = {40388},
		animation = 0,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = {3113},
		positive = true,
		whenActive = {"DieAlly"},
		idFctEffect = 7,
	},
	[9] = { id = 9,
		name = core.L["Blessure"],
		desc = core.L["EFFECTBlessureDESC"],
		damage = 5,
		duration = 2,
		iconId = 132155,
		fxHimself = {530},
		positive = false,
		animation = 0,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 8,
	},
	[10] = { id = 10,
		name = "Electrocution PASSIF",
		desc = "Electrocution PASSIF",
		damage = 4,
		duration = -1,
		iconId = 132367,
		fxTarget = {282},
		fxHimself = 0,
		animation = 0,
		timeAnim = 0,
		soundTarget = {113423},
		soundCharac = 0,
		positive = true,
		whenActive = {"HimselfAttacking"},
		idFctEffect = 9,
	},
	[11] = { id = 11,
		name = "Lacher les bombes PASSIF",
		desc = "Lacher les bombes PASSIF",
		damage = 0,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = 0,
		animation = 0,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = 0,
		positive = true,
		whenActive = {"DieHimself"},
		idFctEffect = 5,
		idSummonUnit = 11,
	},
	[12] = { id = 12,
		name = "Renforts d'élite PASSIF",
		desc = "Renforts d'élite PASSIF",
		damage = 0,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = 0,
		animation = 0,
		timeAnim = 2,
		soundTarget = 0,
		soundCharac = {26946},
		positive = true,
		whenActive = {"DieHimself"},
		idSummonUnit = 6,
		idFctEffect = 12,
	},
	[13] = { id = 13,
		name = core.L["Évasion"],
		desc = core.L["EFFECTÉvasionDESC"],
		damage = 0,
		duration = 99,
		charge = 1,
		iconId = 136205,
		fxTarget = 0,
		fxHimself = 0,
		animation = 30,
		timeAnim = 2,
		soundTarget = 0,
		soundCharac = {7080},
		positive = true,
		whenActive = {"BeforeSufferDamagePlayer"},
		idFctEffect = 13,
	},
	[14] = { id = 14,
		name = "Lancer de scories PASSIF",
		desc = "Lancer de scories PASSIF",
		damage = 0,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = {0},
		animation = 994,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = {45475},
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 14,
		idSummonUnit = 14,
	},
	[15] = { id = 15,
		name = core.L["Plafond croulant"],
		desc = core.L["EFFECTPlafond croulantDESC"],
		damage = 15,
		charge = 1,
		duration = 99,
		iconId = 463566,
		soundCharac = {73655},
		fxHimself = {40104},
		positive = false,
		animation = 0,
		whenActive = {"ChargeNumber15"},
		EventChargeNumber = 3,
		idFctEffect = 15,
	},
	[16] = { id = 16,
		name = "Phase 2 PASSIF",
		desc = "Passe à la phase 2 PASSIF",
		iconId = 1033497,
		damage = 0,
		duration = -1,
		timeAnim = 0.8,
		animation = 654,
		fxTarget = {40682, 40754},
		fxHimself = 0,
		soundTarget = {16541},
		soundCharac = {45440},
		NoTimeplay = true,
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idSummonUnit = 7,
		idFctEffect = 16,
	},
	[17] = { id = 17,
		name = "Summon Siege Machine PASSIF",
		desc = "Summon Siege Machine PASSIF",
		iconId = 1033497,
		damage = 0,
		duration = -1,
		timeAnim = 1,
		animation = 0,
		fxTarget = {40682, 40754},
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {45443},
		NoTimeplay = true,
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 17,
	},
	[18] = { id = 18,
		name = "Invulnérable PASSIF",
		desc = "Invulnérable PASSIF",
		iconId = 1033497,
		damage = 0,
		duration = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		positive = true,
		whenActive = {"SufferDamageHimself", "SufferDamageByDotHimself"},
		idFctEffect = 18,
	},
	[19] = { id = 19,
		name = core.L["Blindage en noirfer"],
		desc = core.L["EFFECTBlindage en noirferDESC"],
		iconId = 133604,
		damage = 0,
		duration = 99,
		charge = 1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		positive = true,
		whenActive = {"SufferDamageHimself", "SufferDamageByDotHimself"},
		idFctEffect = 18,
	},
	[20] = { id = 20,
		name = "Phase 3 PASSIF",
		desc = "Passe à la phase 3 PASSIF",
		iconId = 1033497,
		damage = 0,
		duration = -1,
		timeAnim = 0.8,
		animation = 654,
		fxTarget = {40682, 40754},
		fxHimself = 0,
		soundTarget = {16541},
		soundCharac = {45441},
		NoTimeplay = true,
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 19,
	},
	[21] = { id = 21,
		name = "Lancer de 2 scories PASSIF",
		desc = "Lancer de 2 scories PASSIF",
		damage = 0,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = {0},
		animation = 994,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = {45475},
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 20,
		idSummonUnit = 14,
	},
	[22] = { id = 22,
		name = core.L["Blessure transperçante"],
		desc = core.L["EFFECTBlessure transperçanteDESC"],
		damage = 3,
		duration = 2,
		iconId = 132090,
		fxHimself = {530},
		positive = false,
		Cumulable = true,
		animation = 0,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 8,
	},
	[23] = { id = 23,
		name = "maitrise du couteau PASSIF",
		desc = "maitrise du couteau PASSIF",
		damage = 4,
		duration = -1,
		iconId = 132367,
		fxTarget = {90505},
		fxHimself = 0,
		animation = 0,
		timeAnim = 0,
		soundTarget = {1152},
		soundCharac = 0,
		positive = true,
		whenActive = {"HimselfAttacking"},
		idFctEffect = 21,
	},
	[24] = { id = 24,
		name = core.L["Bombe à retardement"],
		desc = core.L["EFFECTBombe à retardementDESC"],
		damage = 15,
		charge = 1,
		duration = 99,
		iconId = 136173,
		fxHimself = {40356, 6692},
		soundCharac = {16541},
		positive = false,
		animation = 0,
		whenActive = {"ChargeNumber24"},
		EventChargeNumber = 3,
		idFctEffect = 15,
	},
	[25] = { id = 25,
		name = "Parade PASSIF",
		desc = "Parade PASSIF",
		damage = 0,
		duration = -1,
		iconId = 132367,
		fxTarget = 0,
		fxHimself = 0,
		animation = 21,
		timeAnim = 0.7,
		soundTarget = 0,
		soundCharac = {1002},
		positive = true,
		whenActive = {"CustomParadeDuelliste"},
		idFctEffect = 22,
	},
	[26] = { id = 26,
		name = core.L["Combativité"],
		desc = core.L["EFFECTCombativitéDESC"],
		damage = 0,
		charge = 1,
		duration = 99,
		iconId = 1269440,
		fxTarget = 0,
		fxHimself = 0,
		animation = 21,
		timeAnim = 0.7,
		soundTarget = 0,
		soundCharac = {1002},
		positive = true,
		whenActive = {"UnderAttackHimself"},
		idFctEffect = 22,
	},
	[27] = { id = 27,
		name = "Navigation rapide PASSIF",
		desc = "Navigation rapide PASSIF",
		damage = 0,
		duration = -1,
		iconId = 1269440,
		fxTarget = 0,
		fxHimself = {70577},
		animation = 0,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = {3113},
		positive = true,
		whenActive = {"DieAlly"},
		idFctEffect = 23,
	},
	[28] = { id = 28,
		name = core.L["Poudre d'azérite"],
		desc = core.L["EFFECTPoudre d'azériteDESC"],
		damage = 10,
		charge = 1,
		duration = 99,
		iconId = 2032580,
		fxHimself = {100364},
		soundCharac = {125592},
		positive = false,
		animation = 0,
		whenActive = {"ChargeNumber28"},
		EventChargeNumber = 2,
		idFctEffect = 25,
	},
	[29] = { id = 29,
		name = core.L["Breuvage revitalisant"],
		desc = core.L["EFFECTBreuvage revitalisantDESC"],
		damage = 0,
		heal = 5,
		duration = 2,
		iconId = 132800,
		fxTarget = 0,
		fxHimself = {3210},
		animation = 0,
		timeAnim = 0,
		soundTarget = 0,
		soundCharac = {1432},
		positive = true,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 24,
	},
	[30] = { id = 30,
		name = core.L["Guano"],
		desc = core.L["EFFECTGuanoDESC"],
		damage = 5,
		duration = 3,
		iconId = 1500941,
		fxHimself = {100412},
		positive = false,
		animation = 0,
		whenActive = {"EndAllEnnemyTurn"},
		idFctEffect = 8,
	},
}


core.DBSpells = {
	[1] = { id = 1,
		name = core.L["Coup de hache"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 638660,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {26945},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[2] = { id = 2,
		name = core.L["Coup de lance"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 838553,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.8,
		animation = 19,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {26946},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[3] = { id = 3,
		name = core.L["Revers"],
		desc = core.L["ReversDESC"],
		iconId = 1035048,
		damage = 5,
		cooldown = -1,
		timeAnim = 1,
		animation = 86,
		fxTarget = {82139},
		fxHimself = {738},
		soundTarget = {69044},
		soundCharac = {26946},
		effectId = 5,
	},
	[4] = { id = 4,
		positionId = 1,
		name = core.L["Coup d'épée"],
		desc = core.L["Inflige vos dégats à la cible."].."\n"..core.L["Sort de base"],
		iconId = 132367,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_1",
		damage = DBProfile.damage,
		cooldown = 0,
		timeAnim = 0.6,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {2941},
		target = true,
	},
	[5] = { id = 5,
		name = core.L["Frappe écrasante"],
		desc = core.L["Frappe écrasanteDESC"],
		iconId = 237517,
		damage = 10,
		cooldown = 2,
		timeAnim = 1,
		animation = 58,
		fxTarget = {530},
		fxHimself = 0,
		soundTarget = {960},
		soundCharac = {26946},
		action = {"RegularSpellAttack"},
		canBeDodge = false,
		renverse = false,
	},
	[6] = { id = 6,
		positionId = 2,
		name = core.L["Secourisme"],
		desc = core.L["SecourismeDESC1"].." "..(15+5*DBProfile.bonusLvL[3]).." "..core.L["SecourismeDESC2"]..".\n"..core.L["Sort de base"],
		iconId = 454027,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_2",
		damage = 15+5*DBProfile.bonusLvL[3],
		cooldown = 0,
		timeAnim = 1.5,
		animation = 63,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = {173, 3210},
		soundTarget = {1432},
		soundCharac = 0,
		target = false,
	},
	[7] = { id = 7,
		name = core.L["Éclair crépitant"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 252174,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.7,
		animation = 53,
		fxTarget = {123},
		fxHimself = {72},
		soundTarget = {1506},
		soundCharac = 0,
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[8] = { id = 8,
		name = core.L["Bouclier de foudre"],
		desc = core.L["Bouclier de foudreDESC"],
		iconId = 136051,
		damage = 0,
		cooldown = -1,
		timeAnim = 0.6,
		animation = 53,
		fxTarget = {67518},
		fxHimself = {338},
		soundTarget = {33},
		soundCharac = 0,
		effectId = 3,
	},
	[9] = { id = 9,
		positionId = 3,
		name = core.L["Kriss"],
		desc = core.L["KrissDESC"],
		iconId = 135428,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_3",
		damage = DBProfile.damage,
		cooldown = 2,
		timeAnim = 0.4,
		animation = 996,
		varAnim = -1,
		fxTarget = {60098, 330, 288},
		fxHimself = 0,
		soundTarget = {69049, 47766},
		soundCharac = 0,
		effectId = 1,
		target = true,
	},
	[10] = { id = 10,
		positionId = 4,
		name = core.L["Aiguillon perfide"],
		desc = core.L["Aiguillon perfideDESC"],
		iconId = 132298,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_4",
		damage = 0,
		cooldown = 2,
		timeAnim = 0.4,
		animation = 970,
		varAnim = -1,
		fxTarget = {33, 530},
		fxHimself = 0,
		soundTarget = {3323},
		soundCharac = {2941},
		effectId = 2,
		target = true,
	},
	[11] = { id = 11,
		positionId = 5,
		name = core.L["Éventail de couteaux"],
		desc = core.L["Éventail de couteauxDESC"],
		iconId = 236273,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_5",
		damage = 5,
		cooldown = 3,
		timeAnim = 0.8,
		animation = 1002,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = {40826},
		soundTarget = {116639},
		soundCharac = {2941},
		target = false,
	},
	[12] = { id = 12,
		name = core.L["Coup de lance"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 655715,
		damage = 7,
		cooldown = 0,
		timeAnim = 0.8,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {28361},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[13] = { id = 13,
		name = core.L["Rugissement puissant"],
		desc = core.L["Rugissement puissantDESC"],
		iconId = 132352,
		damage = 0,
		cooldown = 1,
		timeAnim = 0.8,
		animation = 74,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = {2990, 2449},
		soundTarget = 0,
		soundCharac = {3113},
		action = {"RegularSpellAttack", "AddDamage"},
		targetAction = {"nil", {1, 2, 4, 5}},
		setValue = 1;
		canBeDodge = false,
		renverse = false,
	},
	[14] = { id = 14,
		name = core.L["Heurt terrestre"],
		desc =  core.L["Heurt terrestreDESC"],
		iconId = 451165,
		damage = 7,
		cooldown = 3,
		timeAnim = 0.8,
		animation = 654,
		varAnim = -1,
		fxTarget = {8264, 62265},
		fxHimself = 0,
		soundTarget = {73087},
		soundCharac = {28361},
		action = {"RegularAttack"},
		canBeDodge = false,
		renverse = true,
	},
	[15] = { id = 15,
		name = core.L["Coup de hache"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 930452,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {39968},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[16] = { id = 16,
		name = core.L["Renforts"],
		desc = core.L["RenfortsDESC"],
		iconId = 970886,
		damage = 0,
		cooldown = -1,
		timeAnim = 2,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 6,
	},
	[17] = { id = 17,
		name = core.L["Coup de fusil"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 940808,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.25,
		animation = 49,
		varAnim = -1,
		fxTarget = {102109},
		fxHimself = 0,
		soundTarget = {0},
		soundCharac = {15071},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[18] = { id = 18,
		name = core.L["Précision impitoyable"],
		desc = core.L["Précision impitoyableDESC"],
		iconId = 132312,
		damage = 1,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = {40388},
		soundTarget = 0,
		soundCharac = {3113},
		effectId = 7,
	},
	[19] = { id = 19,
		name = core.L["Tir mortel"],
		desc = core.L["Tir mortelDESC"],
		iconId = 1033497,
		damage = 200,
		cooldown = 0,
		timeAnim = 1.75,
		animation = 49,
		fxTarget = {102109, 530},
		fxHimself = 0,
		soundTarget = {15071},
		soundCharac = {113561},
		action = {"Custom1"},
	},
	[20] = { id = 20,
		name = core.L["Coup de poing"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 574572,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 19,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {955},
		soundCharac = {39968},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[21] = { id = 21,
		name = core.L["Frappe fracassante"],
		desc = core.L["Frappe fracassanteDESC"],
		iconId = 132318,
		damage = 5,
		cooldown = 2,
		timeAnim = 0.35,
		animation = 181,
		varAnim = -1,
		fxTarget = {40605},
		fxHimself = 0,
		soundTarget = {73087},
		soundCharac = {28361},
		action = {"RegularAttack"},
		canBeDodge = false,
		renverse = true,
	},
	[22] = { id = 22,
		name = core.L["Coup d'épée"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 942251,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {39968},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[23] = { id = 23,
		name = core.L["Lié par le combat"],
		desc = core.L["Lié par le combatDESC"],
		iconId = 132344,
		damage = 0,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = {40388},
		soundTarget = 0,
		soundCharac = {3113},
		effectId = 8,
	},
	[24] = { id = 24,
		name = core.L["Coup perforant"],
		desc = core.L["Coup perforantDESC"],
		iconId = 132155,
		damage = 5,
		cooldown = 3,
		timeAnim = 0.60,
		animation = 1320,
		varAnim = -1,
		fxTarget = {82139, 530},
		fxHimself = {26026},
		soundTarget = 0,
		soundCharac = {39971, 54938},
		action = {"RegularAttack", "AddEffect"},
		targetAction = {"nil", {0}},
		canBeDodge = false,
		renverse = false,
		effectId = 9,
	},
	[25] = { id = 25,
		name = core.L["Coup de masse"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 133505,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {955},
		soundCharac = {39968},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[26] = { id = 26,
		name = core.L["Électrocution"],
		desc = core.L["ÉlectrocutionDESC"],
		iconId = 1029726,
		damage = 1,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 10,
	},
	[27] = { id = 27,
		name = core.L["Larguez les bombes"],
		desc = core.L["Larguez les bombesDESC"],
		iconId = 465876,
		damage = 0,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 11,
	},
	[28] = { id = 28,
		name = core.L["Explosion !"],
		desc = core.L["Explosion !DESC"],
		iconId = 135826,
		damage = 20,
		cooldown = 1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = {40356, 6692},
		soundTarget = {16541},
		soundCharac = 0,
		action = {"RegularSpellAttack", "SetPdv", "DieObject"},
		targetAction = {"nil", {-1}, {-1}}, -- '-1' == Himself
		setValue = 0;
		canBeDodge = false,
		renverse = false,
	},
	[29] = { id = 29,
		name = core.L["Coup de hache"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 880178,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {39968},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[30] = { id = 30,
		name = core.L["Renforts surprise"],
		desc = core.L["Renforts surpriseDESC"],
		iconId = 892447,
		damage = 0,
		cooldown = -1,
		timeAnim = 2,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 12,
	},
	[31] = { id = 31,
		name = core.L["Coup de masse"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 996660,
		damage = 8,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 18,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {955},
		soundCharac = {45475},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[32] = { id = 32,
		positionId = 6,
		name = core.L["Coup double"],
		desc = core.L["Coup doubleDESC"],
		iconId = 132147,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_6",
		damage = DBProfile.damage,
		cooldown = 3,
		timeAnim = 0.6,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {2941},
		target = true,
	},
	[33] = { id = 33,
		positionId = 7,
		name = core.L["Évasion"],
		desc = core.L["ÉvasionDESC"],
		iconId = 136205,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_7",
		damage = 0,
		cooldown = 3,
		timeAnim = 0.6,
		animation = 53,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = {2290, 7966},
		soundTarget = 0,
		soundCharac = {60226},
		effectId = 13,
		anytime = true,
		target = false,
	},
	[34] = { id = 34,
		name = core.L["Frappe fracassante massive"],
		desc = core.L["Frappe fracassante massiveDESC"],
		iconId = 451165,
		damage = core.DBMobs[13].damage*2,
		cooldown = 3,
		timeAnim = 0.8,
		animation = 654,
		varAnim = -1,
		fxTarget = {40605, 62265},
		fxHimself = 0,
		soundTarget = {73087},
		soundCharac = {45475},
		action = {"RegularSpellAttack"},
		canBeDodge = false,
		renverse = false,
	},
	[35] = { id = 35,
		name = core.L["Lancer de bombe à scories"],
		desc = core.L["Lancer de bombe à scoriesDESC"],
		iconId = 1029717,
		damage = 0,
		cooldown = -1,
		timeAnim = 0.8,
		animation = 994,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {45475},
		effectId = 14,
	},
	[36] = { id = 36,
		name = core.L["Explosion de scories"],
		desc = core.L["Explosion de scoriesDESC"],
		iconId = 451169,
		damage = 10,
		cooldown = 1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = {40674},
		soundTarget = {103566},
		soundCharac = 0,
		effectId = 15,
		action = {"RegularSpellAttack", "AddEffect", "Custom2", "SetPdv", "DieObject"},
		targetAction = {"nil", {0}, {-1}, {-1}}, -- '-1' == Himself
		setValue = 0,
		canBeDodge = false,
		renverse = false,
	},
	[37] = { id = 37,
		name = core.L["Insensible"],
		desc = core.L["InsensibleDESC"],
		iconId = 135893,
		damage = 0,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 18,
	},
	[38] = { id = 38,
		name = core.L["Coup de boulet de canon"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 252185,
		damage = 8,
		cooldown = 0,
		timeAnim = 1.5,
		animation = 18,
		varAnim = 2,
		fxTarget = {102109},
		fxHimself = {71710},
		soundTarget = {103950},
		soundCharac = {131110},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[39] = { id = 39,
		name = core.L["Bélier"],
		desc = 	core.L["BélierDESC"],
		iconId = 252173,
		damage = 0,
		cooldown = 4,
		timeAnim = 1,
		animation = 18,
		varAnim = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = {960},
		soundCharac = 0,
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = true,
	},
	[40] = { id = 40,
		name = core.L["Frappe fracassante massive"],
		desc = core.L["Frappe fracassante massiveDESC"],
		iconId = 132847,
		damage = core.DBMobs[13].damage*2,
		cooldown = 3,
		timeAnim = 0.8,
		animation = 654,
		varAnim = -1,
		fxTarget = {40605, 62265},
		fxHimself = 0,
		soundTarget = {73087},
		soundCharac = {45475},
		action = {"RegularSpellAttack", "Custom3"},
		canBeDodge = false,
		renverse = false,
	},
	[41] = { id = 41,
		name = core.L["Éruption de scories"],
		desc = core.L["Éruption de scoriesDESC"],
		iconId = 525023,
		damage = 10,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = {40674},
		soundTarget = {16541},
		soundCharac = 0,
		action = {"RegularSpellAttack", "SetPdv", "DieObject"},
		targetAction = {"nil", {-1}, {-1}}, -- '-1' == Himself
		setValue = 0,
	},
	[42] = { id = 42,
		name = core.L["Toujours plus"],
		desc = core.L["Toujours plusDESC"],
		iconId = 1029717,
		damage = 0,
		cooldown = -1,
		timeAnim = 0.8,
		animation = 994,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {45475},
		effectId = 21,
	},
	[43] = { id = 43,
		positionId = 7,
		name = core.L["Coup de pied"],
		desc = core.L["Coup de piedDESC"],
		iconId = 132219,
		iconPath = "Interface/AddOns/WoWChallenger/images/campaign/spells/player_8",
		damage = 0,
		cooldown = 4,
		timeAnim = 0.8,
		animation = 95,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = {56366},
		soundCharac = {41387},
		target = true,
	},
	[44] = { id = 44,
		name = core.L["Coup de sabre"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 135346,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {2937},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[45] = { id = 45,
		name = core.L["Coup transperçant"],
		desc = core.L["Coup transperçantDESC"],
		iconId = 132090,
		damage = 5,
		cooldown = 2,
		timeAnim = 0.4,
		animation = 996,
		varAnim = -1,
		fxTarget = {82139, 530},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {2937},
		action = {"RegularAttack", "AddEffect"},
		targetAction = {"nil", {0}},
		canBeDodge = false,
		renverse = false,
		effectId = 22,
	},
	[46] = { id = 46,
		name = core.L["Coup de mâchoire"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 877481,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {16419},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[47] = { id = 47,
		name = core.L["Morsure féroce"],
		desc = core.L["Morsure féroceDESC"],
		iconId = 132139,
		damage = 8,
		cooldown = 2,
		timeAnim = 0.8,
		varAnim = -1,
		animation = 17,
		fxTarget = {90633},
		fxHimself = 0,
		soundTarget = {7374},
		soundCharac = {16419},
		action = {"RegularSpellAttack"},
		canBeDodge = false,
		renverse = false,
	},
	[48] = { id = 48,
		name = core.L["Trembleterre"],
		desc = core.L["TrembleterreDESC"],
		iconId = 463566,
		damage = 5,
		cooldown = 1,
		timeAnim = 0.8,
		animation = 654,
		varAnim = -1,
		fxTarget = {40605},
		fxHimself = 0,
		soundTarget = {73087},
		soundCharac = {2941},
		action = {"RegularAttack"},
		canBeDodge = false,
		renverse = true,
	},
	[49] = { id = 49,
		name = core.L["Lancer de couteau"],
		desc = core.L["Lancer de couteauDESC"],
		BasicAttack = true,
		iconId = 132324,
		damage = 4,
		cooldown = 0,
		timeAnim = 0.5,
		animation = 994,
		varAnim = -1,
		fxTarget = {102114},
		fxHimself = 0,
		soundTarget = {1151},
		soundCharac = {3275, 72903},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[50] = { id = 50,
		name = core.L["Déluge de couteaux"],
		desc = core.L["Déluge de couteauxDESC"],
		iconId = 236274,
		damage = 3,
		cooldown = 2,
		timeAnim = 1.75,
		animation = 994,
		varAnim = -1,
		fxTarget = {102114},
		fxHimself = 0,
		soundTarget = {1151},
		soundCharac = {3275, 72903},
		action = {"Custom4"},
		canBeDodge = false,
		renverse = false,
	},
	[51] = { id = 51,
		name = core.L["Maîtrise de la précision"],
		desc = core.L["Maîtrise de la précisionDESC"],
		iconId = 132222,
		damage = 0,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 23,
	},
	[52] = { id = 52,
		name = core.L["Bombe à retardement"],
		desc = core.L["Bombe à retardementDESC"],
		BasicAttack = true,
		iconId = 136173,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.5,
		animation = 994,
		varAnim = -1,
		fxTarget = {40857},
		fxHimself = 0,
		soundTarget = {47618},
		soundCharac = {3275, 72903},
		action = {"RegularAttack", "AddEffect"},
		targetAction = {"nil", {0}},
		canBeDodge = false,
		renverse = false,
		effectId = 24,
	},
	[53] = { id = 53,
		name = core.L["Bombe explosive"],
		desc = core.L["Bombe explosiveDESC"],
		iconId = 133710,
		damage = 0,
		cooldown = 3,
		timeAnim = 0.5,
		animation = 994,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {3275, 72903},
		action = {"Summon", "ResetCD"},
		targetAction = {{-2}, "nil"}, -- random
		canBeDodge = false,
		renverse = false,
		idSummonUnit = {25},
	},
	[54] = { id = 54,
		name = core.L["Coup de sabre"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 135340,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {2941},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[55] = { id = 55,
		name = core.L["Parade"],
		desc = core.L["ParadeDESC"],
		iconId = 132269,
		damage = 0,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 25,
	},
	[56] = { id = 56,
		name = core.L["Entraînement au combat"],
		desc =  core.L["Entraînement au combatDESC"],
		iconId = 1269440,
		damage = 0,
		cooldown = 2,
		timeAnim = 0.5,
		animation = 984,
		fxTarget = {41098},
		fxHimself = {40703},
		soundTarget = {117789},
		action = {"Custom5", "ResetCD"},
		soundCharac = 0,
		effectId = 26,
	},
	[57] = { id = 57,
		name = core.L["Coup de sabre"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 1729266,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = 0,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {105222},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[58] = { id = 58,
		name = core.L["Balayage dévastateur"],
		desc = core.L["Balayage dévastateurDESC"],
		iconId = 132338,
		damage = 20,
		cooldown = 5,
		timeAnim = 0.4,
		varAnim = -1,
		animation = 824,
		fxTarget = {530},
		fxHimself = {70464},
		soundTarget = 0,
		soundCharac = {105223, 54938},
		action = {"RegularSpellAttack"},
		canBeDodge = false,
		renverse = false,
	},
	[59] = { id = 59,
		name = core.L["Navigation rapide"],
		desc = core.L["Navigation rapideDESC"],
		iconId = 236269,
		damage = 0,
		cooldown = -1,
		timeAnim = 0,
		animation = 0,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = 0,
		effectId = 27,
	},
	[60] = { id = 60,
		name = core.L["Coup de sabre"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 1729266,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {69044},
		soundCharac = {105222},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[61] = { id = 61,
		name = core.L["Tir de poudre d’azérite"],
		desc = core.L["Tir de poudre d’azériteDESC"],
		iconId = 134536,
		damage = 8,
		cooldown = 1,
		timeAnim = 0.5,
		animation = 1074,
		varAnim = -1,
		fxTarget = {101135},
		fxHimself = {104854, 104761},
		soundTarget = 0,
		soundCharac = {93686},
		action = {"RegularAttack", "AddEffect"},
		targetAction = {"nil", {0}},
		canBeDodge = false,
		renverse = false,
		effectId = 28,
	},
	[62] = { id = 62,
		name = core.L["Breuvage revitalisant"],
		desc = core.L["Breuvage revitalisantDESC"],
		iconId = 132800,
		damage = 0,
		cooldown = 3,
		timeAnim = 1.5,
		animation = 61,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {84613},
		action = {"RegularSpellAttack", "AddEffect"},
		targetAction = {"nil", {-1}},
		canBeDodge = false,
		renverse = false,
		effectId = 29,
	},
	[63] = { id = 63,
		name = core.L["Piraterie"],
		desc = core.L["PiraterieDESC"],
		iconId = 133168,
		damage = 0,
		cooldown = 3,
		timeAnim = 1,
		animation = 74,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = 0,
		soundTarget = 0,
		soundCharac = {9110},
		action = {"Summon", "ResetCD"},
		targetAction = {{-2}, "nil"}, -- random
		timeWait = {0, 0},
		canBeDodge = false,
		renverse = false,
		idSummonUnit = {20, 21, 22, 23, 24, 26, 27},
	},
	[64] = { id = 64,
		name = core.L["Coup de griffes"],
		desc = core.L["Inflige vos dégats à la cible."],
		BasicAttack = true,
		iconId = 463491,
		damage = 5,
		cooldown = 0,
		timeAnim = 0.80,
		animation = 17,
		varAnim = -1,
		fxTarget = {82139},
		fxHimself = 0,
		soundTarget = {955},
		soundCharac = {93238},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = false,
	},
	[65] = { id = 65,
		name = core.L["Bombardement répugnant"],
		desc = core.L["Bombardement répugnantDESC"],
		iconId = 1500941,
		damage = 0,
		cooldown = 2,
		timeAnim = 1.35,
		animation = 62,
		varAnim = -1,
		fxTarget = {100411},
		fxHimself = {100578},
		soundTarget = {75895},
		soundCharac = 0,
		action = {"RegularAttack", "AddEffect"},
		targetAction = {"nil", {0}},
		canBeDodge = false,
		renverse = false,
		effectId = 30,
	},
	[66] = { id = 66,
		name = core.L["Charrrrrge"],
		desc = core.L["CharrrrrgeDESC"],
		iconId = 1716281,
		damage = 0,
		cooldown = 3,
		timeAnim = 1,
		animation = 17,
		varAnim = -1,
		fxTarget = 0,
		fxHimself = {100237},
		soundTarget = {80160},
		soundCharac = {91147},
		action = {"RegularAttack"},
		canBeDodge = true,
		renverse = true,
	},
	[67] = { id = 67,
		name = core.L["Hache tranchante"],
		desc = core.L["Hache tranchanteDESC"],
		iconId = 132215,
		damage = 10,
		cooldown = 2,
		timeAnim = 0.65,
		varAnim = -1,
		animation = 972,
		fxTarget = {82139},
		fxHimself = {26956},
		soundTarget = {56760},
		soundCharac = {40070},
		action = {"RegularSpellAttack"},
		canBeDodge = false,
		renverse = false,
	},
	[68] = { id = 68,
		name = core.L["Renforcement"],
		desc = core.L["RenforcementDESC"],
		iconId = 1041231,
		damage = 0,
		cooldown = 2,
		timeAnim = 1.25,
		animation = 74,
		varAnim = -1,
		noFxOnPlayer = true,
		fxTarget = {27206},
		fxHimself = {2990, 2449},
		soundTarget = 0,
		soundCharac = {9110, 3113},
		action = {"RegularSpellAttack", "AddPdv", "AddPdv"},
		targetAction = {"nil", {-2}, {-2}},
		setValue = 5;
		canBeDodge = false,
		renverse = false,
	},
}

core.DBUpgrade = {
	[1] = { id = 1,
		title = core.L["APPARENCES D'ARMES"],
		typeList = "skin",
		list = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinWeapon_1",
				iconId = 537771,
				displayId = 76390,
				typeItem = 1,
				unlock = DBProfile.itemUnlock[1][1],
				price = 0,
				levelUnlock = {0, 0},
				title = "|cffffffff"..core.L["Arme commune"].."|r",
				desc = "",
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinWeapon_2",
				iconId = 948256,
				displayId = 141598,
				typeItem = 1,
				unlock = DBProfile.itemUnlock[1][2],
				price = 5,
				levelUnlock = {1, 3},
				title = "|cff1eff00"..core.L["Arme peu commune"].."|r",
				desc = "",
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinWeapon_3",
				iconId = 1617803,
				displayId = 152338,
				typeItem = 1,
				unlock = DBProfile.itemUnlock[1][3],
				price = 10,
				levelUnlock = {2, 3},
				title = "|cff0070dd"..core.L["Arme rare"].."|r",
				desc = "",
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinWeapon_4",
				iconId = 135323,
				displayId = 159840,
				typeItem = 1,
				unlock = DBProfile.itemUnlock[1][4],
				price = 15,
				levelUnlock = {3, 3},
				title = "|cffa335ee"..core.L["Arme épique"].."|r",
				desc = "",
			},
		},
	},
	[2] = { id = 2,
		title = core.L["APPARENCES D'ARMURES"],
		typeList = "skin",
		list = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinArmor_1",
				iconId = 133693,
				displayId = 46471,
				typeItem = 2,
				unlock = DBProfile.itemUnlock[2][1],
				price = 0,
				levelUnlock = {0, 0},
				title = "|cffffffff"..core.L["Armure commune"].."|r",
				desc = "",
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinArmor_2",
				iconId = 514301,
				displayId = 57037,
				typeItem = 2,
				unlock = DBProfile.itemUnlock[2][2],
				price = 5,
				levelUnlock = {1, 5},
				title = "|cff1eff00"..core.L["Armure peu commune"].."|r",
				desc = "",
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinArmor_3",
				iconId = 133183,
				displayId = 51920,
				typeItem = 2,
				unlock = DBProfile.itemUnlock[2][3],
				price = 10,
				levelUnlock = {2, 6},
				title = "|cff0070dd"..core.L["Armure rare"].."|r",
				desc = "",
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/skinArmor_4",
				iconId = 133143,
				displayId = 42262,
				typeItem = 2,
				unlock = DBProfile.itemUnlock[2][4],
				price = 15,
				levelUnlock = {3, 6},
				title = "|cffa335ee"..core.L["Armure épique"].."|r",
				desc = "",
			},
		},
	},
	[3] = { id = 3,
		title = core.L["TECHNIQUES"],
		typeList = "buy",
		list = {
			[1] = { id = 1,
				icon = core.DBSpells[core.DBPlayer.spells[1]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[1]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][1],
				price = 0,
				levelUnlock = {0, 0},
				title = core.DBSpells[core.DBPlayer.spells[1]].name,
				desc = core.DBSpells[core.DBPlayer.spells[1]].desc,
			},
			[2] = { id = 2,
				icon = core.DBSpells[core.DBPlayer.spells[2]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[2]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][2],
				price = 0,
				levelUnlock = {0, 0},
				title = core.DBSpells[core.DBPlayer.spells[2]].name,
				desc = core.DBSpells[core.DBPlayer.spells[2]].desc,
			},
			[3] = { id = 3,
				icon = core.DBSpells[core.DBPlayer.spells[3]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[3]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][3],
				price = 1,
				levelUnlock = {1, 2},
				title = core.DBSpells[core.DBPlayer.spells[3]].name,
				desc = core.DBSpells[core.DBPlayer.spells[3]].desc,
			},
			[4] = { id = 4,
				icon = core.DBSpells[core.DBPlayer.spells[4]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[4]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][4],
				price = 3,
				levelUnlock = {1, 3},
				title = core.DBSpells[core.DBPlayer.spells[4]].name,
				desc = core.DBSpells[core.DBPlayer.spells[4]].desc,
			},
			[5] = { id = 5,
				icon = core.DBSpells[core.DBPlayer.spells[5]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[5]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][5],
				price = 5,
				levelUnlock = {1, 4},
				title = core.DBSpells[core.DBPlayer.spells[5]].name,
				desc = core.DBSpells[core.DBPlayer.spells[5]].desc,
			},
			[6] = { id = 6,
				icon = core.DBSpells[core.DBPlayer.spells[6]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[6]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][6],
				price = 5,
				levelUnlock = {1, 5},
				title = core.DBSpells[core.DBPlayer.spells[6]].name,
				desc = core.DBSpells[core.DBPlayer.spells[6]].desc,
			},
			[7] = { id = 7,
				icon = core.DBSpells[core.DBPlayer.spells[7]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[7]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][7],
				price = 5,
				levelUnlock = {2, 1},
				title = core.DBSpells[core.DBPlayer.spells[7]].name,
				desc = core.DBSpells[core.DBPlayer.spells[7]].desc,
			},
			[8] = { id = 8,
				icon = core.DBSpells[core.DBPlayer.spells[8]].iconPath,
				iconId = core.DBSpells[core.DBPlayer.spells[8]].iconId,
				typeItem = "spell",
				unlock = DBProfile.itemUnlock[3][8],
				price = 5,
				levelUnlock = {2, 2},
				title = core.DBSpells[core.DBPlayer.spells[8]].name,
				desc = core.DBSpells[core.DBPlayer.spells[8]].desc,
			},
		},
	},
	[4] = { id = 4,
		title = core.L["AMÉLIORATIONS"],
		typeList = "bonus",
		list = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/lifeUpgrade",
				iconId = 648207,
				unlock = DBProfile.itemUnlock[4][1],
				price = 1,
				level = DBProfile.bonusLvL[1],
				levelMax = 15,
				levelUnlock = {{1,1},{1,2},{1,3},{1,4},{1,5},{2,1},{2,2},{2,3},{2,4},{2,5},{2,6},{3,1},{3,2},{3,4},{3,5}},
				bonus = 5,
				typeItem = "bonusLife",
				title = core.L["Bonus de points de vie"],
				desc = core.L["Bonus de points de vieDESC"],
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/attackUpgrade",
				iconId = 1085608,
				unlock = DBProfile.itemUnlock[4][2],
				price = 1,
				level = DBProfile.bonusLvL[2],
				levelMax = 5,
				levelUnlock = {{1,3},{1,5},{2,5},{3,3},{3,5}},
				bonus = 1,
				typeItem = "bonusAttack",
				title = core.L["Bonus de points de dégâts"],
				desc = core.L["Bonus de points de dégâtsDESC"],
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/campaign/player_profile/healUpgrade",
				iconId = 840976,
				unlock = DBProfile.itemUnlock[4][3],
				price = 1,
				level = DBProfile.bonusLvL[3],
				levelUnlock = {{1,3},{1,4},{2,1},{2,4},{3,2}},
				levelMax = 5,
				bonus = 5,
				typeItem = "bonusHeal",
				title = core.L["Bonus de soins"],
				desc = core.L["Bonus de soinsDESC"],
			},
		},
	},
}
end
core.Loadmobs = loadMobs;